package auth

import (
	"bssapp-backend/ctxkeys"
	"context"
)

func WithClaims(ctx context.Context, claims *Claims) context.Context {
	return context.WithValue(ctx, ctxkeys.UserContextKey, claims)
}

func GetClaimsFromContext(ctx context.Context) (*Claims, bool) {
	claims, ok := ctx.Value(ctxkeys.UserContextKey).(*Claims)
	return claims, ok
}
